Type: AWS::IAM::Role
Properties:
  RoleName: ${self:custom.upperPrefix}_NOTICE_DATA_EXTRACTION_CLEAN_CURATED_BUCKET_ROLE
  AssumeRolePolicyDocument:
    ${file(serverless/iam/policies/lambda_assume_role_policy.yml)}
  Policies:
    - ${file(serverless/iam/policies/ssm_read_parameter_policy.yml)}
    - ${file(serverless/iam/policies/s3_curated_write.yml)}
  ManagedPolicyArns:
    - ${ssm:/tedai/iam/policies/ssm_cloudwatch_logs_write_policy/arn}
  PermissionsBoundary: arn:aws:iam::${aws:accountId}:policy/Developer_Boundary
